org.bouncycastle.asn1.isismtt.x509

## Class Admissions

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.isismtt.x509.Admissions

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class Admissions
      extends ASN1Object

  An Admissions structure.

                  Admissions ::= SEQUENCE
                  {
                    admissionAuthority [0] EXPLICIT GeneralName OPTIONAL
                    namingAuthority [1] EXPLICIT NamingAuthority OPTIONAL
                    professionInfos SEQUENCE OF ProfessionInfo
                  }

  See Also:
    `AdmissionSyntax`, `ProfessionInfo`, `NamingAuthority`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Admissions(GeneralName admissionAuthority, NamingAuthority namingAuthority, ProfessionInfo[] professionInfos)` Constructor from a given details.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralName` | `getAdmissionAuthority()`
    `static Admissions` | `getInstance(java.lang.Object obj)`
    `NamingAuthority` | `getNamingAuthority()`
    `ProfessionInfo[]` | `getProfessionInfos()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Admissions

          public Admissions(GeneralName admissionAuthority,
                            NamingAuthority namingAuthority,
                            ProfessionInfo[] professionInfos)

      Constructor from a given details.

      Parameter `professionInfos` is mandatory.

      Parameters:
        `admissionAuthority` - The admission authority.
        `namingAuthority` - The naming authority.
        `professionInfos` - The profession infos.

  - ### Method Detail

    - #### getInstance

          public static Admissions getInstance(java.lang.Object obj)

    - #### getAdmissionAuthority

          public GeneralName getAdmissionAuthority()

    - #### getNamingAuthority

          public NamingAuthority getNamingAuthority()

    - #### getProfessionInfos

          public ProfessionInfo[] getProfessionInfos()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

      Returns:

                 Admissions ::= SEQUENCE
                 {
                   admissionAuthority [0] EXPLICIT GeneralName OPTIONAL
                   namingAuthority [1] EXPLICIT NamingAuthority OPTIONAL
                   professionInfos SEQUENCE OF ProfessionInfo
                 }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        an ASN1Primitive